import * as React from 'react';
import * as ReactDOM from 'react-dom';

function registerGlobal(root, deps) {
    Object.keys(deps).forEach((key) => {
        root[key] = deps[key];
    });
};

registerGlobal(window, {
    // 在这里注册暴露给子工程的全局变量
    React,
    ReactDOM,
});
export default registerGlobal;